﻿@model Tech.Net.Models.FieldViewModel

@{
    Layout = null;
}

<!DOCTYPE html>

<html>
<head>
    <meta name="viewport" content="width=device-width" />
    <link rel="stylesheet" type="text/css" href="~/Content/fieldView.css" />
    <link rel="stylesheet" type="text/css" href="~/Content/bootstrap.min.css">
    <link rel="stylesheet" href="//code.jquery.com/ui/1.12.1/themes/base/jquery-ui.css">
    <link href="~/Content/jquery.toast.min.css" rel="stylesheet" />
    <title>Field</title>
</head>
<body>

    <div id="wrapper">
        <!-- Sidebar -->
        <div id="sidebar-wrapper">
            <ul class="sidebar-nav" id="side_bar">
                <li class="sidebar-brand" style="font-weight: bold; color: #999999;">
                    <h1>Field</h1>
                </li>
                <hr />
                <li>
                    <input type="button" id="addNewObjectBtn" value="Add Object" />
                </li>
                <hr />
                <li>
                    <h4>Distance Calculator</h4>
                    <h5>(Using Sql Geography)</h5>
                    <table>
                        <tbody>
                            <tr>
                                <td>Point #1</td>
                                <td>
                                    <select id="goePoint1"></select>
                                </td>
                            </tr>
                            <tr>
                                <td>Point #2</td>
                                <td>
                                    <select id="goePoint2"></select>
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2">
                                    <input type="button" id="calcDistanceBtn" value="Calculate" />
                                </td>
                            </tr>
                            <tr>
                                <td colspan="2" id="distCalcResult" style="color: red"></td>
                            </tr>
                        </tbody>
                    </table>

                </li>
                <hr />
                <li><h4>Objects</h4></li>
            </ul>
        </div>

        <!-- /#sidebar-wrapper -->
        <!-- Page Content -->
        <div id="page-content-wrapper">
            <div class="container-fluid">
                <div class="row">
                    <div class="col-lg-12">
                        <h3>
                            <a href="#menu-toggle" class="gradient-menu" id="menu-toggle"></a>
                            &nbsp;Object Locations&nbsp;
                        </h3>
                        <input id="pac-input" type="text" placeholder="Search Box">
                        <div id="map_canvas"></div>
                    </div>
                </div>
            </div>
        </div>
        <!-- /#page-content-wrapper -->
    </div>

    <div id="dialog" title="Add New Object"></div>

    @*ToDo - Haviv move all scripts into bundle*@
    <script src="~/Scripts/jquery-3.3.1.min.js"></script>
    <script src="https://code.jquery.com/ui/1.12.1/jquery-ui.js"></script>
    <script src="~/Scripts/bootstrap.js"></script>
    <script src="~/Scripts/jquery.toast.min.js"></script>
    <script src="~/Scripts/Field/fieldView.js"></script>
    <script src="~/Scripts/jquery.signalR-2.4.0.min.js"></script>
    <script src="../signalr/hubs"></script>
    <script src="~/Scripts/signalRSpatialInfo.js"></script>
    <script async defer
            src="https://maps.googleapis.com/maps/api/js?key=<Your key here>&callback=initialize&libraries=places">
    </script>

</body>
</html>
